#!/bin/bash

for i in *.pkg.tar.zst;
do
    if [ -f "${i}" ]; then
        echo "Удаление подписи $i.sig"
        rm -f $i.sig
        echo "Добавление подписи $i.sig"
        gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
    fi
done

for i in *.pkg.tar.xz;
do
    if [ -f "${i}" ]; then
        echo "Удаление подписи $i.sig"
        rm -f $i.sig
        echo "Добавление подписи $i.sig"
        gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
    fi
done
